import React from 'react';
// import { Link } from 'react-router-dom';
// import { Modal } from 'antd-mobile';
// import { Icon } from 'antd';
import HeadLabel from '../HeadLabel';
import chunk from 'lodash/chunk';
import './index.scss';

export default function IndexEntry({ entries, head, onClick }) {
  return (
    <div className="index-entry-main">
      <HeadLabel head={head} />
      {
        chunk(entries, 3).map((entries, index) => (
          <div key={index} className="index-entry-body">
            {
              entries.map((entry, index) => (
                <Entry key={index} {...entry} onClick={onClick} />
              ))
            }
          </div>
        ))
      }

    </div>
  );
}

function Entry({ icon, text, path, count, onClick }) {
  return (
    <div className="index-entry-item" onClick={() => onClick(path)}>
      <div className="index-entry-wrap">
        <img className="index-entry-icon" src={icon} />
        {
          (count || null) && <div className="index-entry-count">{count}</div>
        }
      </div>
      <div className="index-entry-text">{text}</div>
    </div>
  );
}
